package com.ningdatech.pmapi.expert.controller;


import com.ningdatech.pmapi.expert.manage.ExpertManage;
import com.ningdatech.pmapi.expert.model.req.ExpertRecommendProofSubmitRequest;
import com.ningdatech.pmapi.expert.model.req.ExpertUserBasicInfoSubmitRequest;
import com.ningdatech.pmapi.expert.model.vo.ExpertFullInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
@RestController
@Api(tags = "专家管理相关接口")
@RequestMapping("/api/v1/expert")
@RequiredArgsConstructor
public class ExpertController {

    private final ExpertManage expertManage;

    @PostMapping("/basic-info-submit")
    @ApiOperation("填写基本信息接口(专家报名使用))")
    public void expertBasicInfoSubmit(@Valid @RequestBody ExpertUserBasicInfoSubmitRequest request) {
//        ExpertUserInfoValidator.expertUserBasicInfoSubmitRequestValidate(request);
        expertManage.expertBasicInfoSubmit(request);
    }

    @PostMapping("/recommend-proof-submit")
    @ApiOperation("推荐证明提交接口(专家报名使用)")
    public void expertRecommendProofSubmit(@Valid @RequestBody ExpertRecommendProofSubmitRequest request) {
        expertManage.expertRecommendProofSubmit(request);
    }

    @GetMapping("/detail")
    @ApiOperation("专家获取专家详细信息")
    public ExpertFullInfoVO getExpertFullInfoDetail() {
        return expertManage.getExpertFullInfoDetail(null);
    }


}
